Katello - Bug #6643

Dragging widgets in the Content Dashboard resets their values
07/16/2014 01:18 PM - Partha Aji

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1105351 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/443
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1105351
Description of problem:

Trying to re-arrange my Content Dashboard widgets by dragging them across the screen (Firefox 29.0.1 browser on Mac OS) seems
to reset/clean them from the data they had before. For instance, the pie chart which was showing 1 host and was green, turned into a
solid grey circle.

Also, it looks like only the namesttitles of the widgets are being rearranged (see second screenshot where the pie chart is exactly
where it was before but it has a different title)

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.14-1.el6sat.noarch
foreman-compute-1.6.0.14-1.el6sat.noarch
foreman-gce-1.6.0.14-1.el6sat.noarch
foreman-libvirt-1.6.0.14-1.el6sat.noarch
foreman-ovirt-1.6.0.14-1.el6sat.noarch
foreman-postgresql-1.6.0.14-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-selinux-1.6.0-4.el6sat.noarch
foreman-vmware-1.6.0.14-1.el6sat.noarch
katello-1.5.0-25.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.45-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.18.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.18.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.18.beta.el6sat.noarch
pulp-selinux-2.4.0-0.18.beta.el6sat.noarch
pulp-server-2.4.0-0.18.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
® ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

e rubygem-hammer_cli-0.1.1-2.el6sat.noarch

e rubygem-hammer_cli_foreman-0.1.1-8.el6sat.noarch

¢ rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
¢ rubygem-hammer_cli_katello-0.0.4-5.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Hopefully you'll have a host already present in your organization

2. Try to rearrange the widgets from your Content Dashboard

3.

Actual results:

Widgets are reset of their data and only the widgets titles are being rearranged

Expected results:

Additional info:

Associated revisions

Revision 1176b68b - 07/17/2014 10:58 AM - David Davis
Fixes #6643,BZ21105351 - Fixing drag-and-drop widgets on dashboard

Switching to jquery-ui-rails files to fix js drag-and-drop errors on the
dashboard.

Revision db7{58f9 - 07/17/2014 11:57 AM - David Davis
Merge pull request #4439 from daviddavis/temp/20140716132424

Fixes #6643,BZ1105351 - Fixing drag-and-drop widgets on dashboard

History

#1 - 07/16/2014 01:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4439 added
- Pull request deleted ()

#2 - 07/17/2014 12:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|1176b68b728aabe869764{3867{2776108c2eeec.

#3 - 07/22/2014 02:03 PM - Eric Helms
- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 08/22/2014 09:22 AM - Eric Helms

- translation missing: en.field _release set to 13
